Package be.cin.nip.sync.reg.v1

# Class RegistrationType

java.lang.Object
be.cin.nip.sync.reg.v1.RegistrationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:26+02:00", comments="JAXB RI v4.0.5") public class RegistrationType extends Object implements Serializable

Java class for registrationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="registrationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="bankAccount" type="{urn:be:cin:nip:sync:reg:v1}bankAccountType" minOccurs="0"/>
             <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="serviceName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistrationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getAnies()`
  Gets the value of the anies property.
  `BankAccountType`
  `getBankAccount()`
  Gets the value of the bankAccount property.
  `String`
  `getServiceName()`
  Gets the value of the serviceName property.
  `void`
  `setBankAccount(BankAccountType value)`
  Sets the value of the bankAccount property.
  `void`
  `setServiceName(String value)`
  Sets the value of the serviceName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegistrationType

    public RegistrationType()

- ## Method Details

  - ### getBankAccount

    public BankAccountType getBankAccount()
    Gets the value of the bankAccount property.
    Returns:
      possible object is `BankAccountType`

  - ### setBankAccount

    public void setBankAccount(BankAccountType value)
    Sets the value of the bankAccount property.
    Parameters:
      `value` - allowed object is `BankAccountType`

  - ### getAnies

    public List<Object> getAnies()
    Gets the value of the anies property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

    For example, to add a new item, do as follows:

         getAnies().add(newItem);

    Objects of the following type(s) are allowed in the list `Object`

    Returns:
      The value of the anies property.

  - ### getServiceName

    public String getServiceName()
    Gets the value of the serviceName property.
    Returns:
      possible object is `String`

  - ### setServiceName

    public void setServiceName(String value)
    Sets the value of the serviceName property.
    Parameters:
      `value` - allowed object is `String`